Squashed 'yocto-poky/' content from commit ea562de

git-subtree-dir: yocto-poky
git-subtree-split: ea562de57590c966cd5a75fda8defecd397e6436
diff --git a/meta/recipes-devtools/flex/files/do_not_create_pdf_doc.patch b/meta/recipes-devtools/flex/files/do_not_create_pdf_doc.patch
new file mode 100644
index 0000000..032833a
--- /dev/null
+++ b/meta/recipes-devtools/flex/files/do_not_create_pdf_doc.patch
@@ -0,0 +1,17 @@
+Upstream-Status: Inappropriate (embedded specific)
+
+Signed-off-by: Laurentiu Palcu <laurentiu.palcu@intel.com>
+
+Index: flex-2.5.37/doc/Makefile.am
+===================================================================
+--- flex-2.5.37.orig/doc/Makefile.am	2012-07-21 04:18:27.000000000 +0300
++++ flex-2.5.37/doc/Makefile.am	2013-07-30 17:57:09.834834531 +0300
+@@ -2,7 +2,7 @@
+ 
+ info_TEXINFOS =	flex.texi
+ dist_man_MANS = flex.1
+-dist_doc_DATA= flex.pdf
++EXTRA_DIST= flex.pdf
+ 
+ CLEANFILES = \
+ 	flex.hks \
diff --git a/meta/recipes-devtools/flex/files/run-ptest b/meta/recipes-devtools/flex/files/run-ptest
new file mode 100755
index 0000000..bffba16
--- /dev/null
+++ b/meta/recipes-devtools/flex/files/run-ptest
@@ -0,0 +1,29 @@
+#!/bin/sh
+
+test1="test-alloc-extra test-array-nr test-array-r test-basic-nr test-basic-r test-extended test-quotes \
+test-bison-nr test-bison-yylloc test-bison-yylval test-c++-basic test-c-cpp-nr test-prefix-nr test-ccl \
+test-c-cpp-r test-c++-multiple-scanners test-mem-r test-mem-nr test-debug-nr test-linedir-r test-noansi-r \
+test-yyextra test-header-r test-noansi-nr test-debug-r TEMPLATE test-top test-header-nr test-prefix-r"
+test2="test-multiple-scanners-nr test-posixly-correct test-posix test-string-r test-string-nr"
+test3="test-pthread test-include-by-push test-include-by-buffer test-include-by-reentrant"
+test4="test-lineno-nr test-lineno-r test-lineno-trailing"
+test5="test-c++-yywrap test-rescan-r test-rescan-nr"
+test6="test-reject-nr test-reject-r"
+test7="test-reject-ser test-reject-ver"
+test8="test-multiple-scanners-r"
+
+output() {
+  if [ $? -eq 0 ]; \
+    then echo "PASS: $i"; \
+    else echo "FAIL: $i"; \
+  fi;
+}
+
+for i in $test1; do $i/$i < $i/test.input >/dev/null; output; done
+for i in $test2; do $i/$i >/dev/null; output; done
+for i in $test3; do cd $i; ./$i test-1.input >/dev/null; output; cd ..; done
+for i in $test4; do test `$i/$i < $i/test.input` -eq `$i/$i 1 < $i/test.input` >/dev/null; output; done
+for i in $test5; do $i/$i $i/test.input >/dev/null; output; done
+for i in $test6; do test-reject/$i < test-reject/test.input >/dev/null; output; done
+for i in $test7; do test-reject/$i test-reject/$i.tables < test-reject/test.input >/dev/null; output; done
+cd $test8; ./$test8 >/dev/null; i=$test8 output